Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Refresh content watch

POST /api/v1/content/discover/watches/{watchId}/refresh

Run one bounded LinkedIn topic watch refresh now.

Parameters

workspaceId
string
No description.
watchIdrequired
string
No description.

Example

REST requestbash
curl -X POST "https://app.pipeline.help/api/v1/content/discover/watches/00000000-0000-4000-8000-000000000000/refresh" \
-H "Authorization: Bearer $PIPELINE_API_KEY"

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"data": {
"type": "object"
}
},
"required": [
"data"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline